Scilab Function

rank - rang

### Calling Sequence

  `[i]=rank(X)`
  `[i]=rank(X,tol)`

### Parameters

- `X` : matrice réelle ou complexe
- `tol` : nombre réel positif

### Description

`rank(X)` calcule le rang "numérique" de `X` c'est à dire le nombre de ses valeurs singulières supérieures à `norm(size(X),'inf') * norm(X) * %eps` .

`rank(X,tol)` est le nombre de valeurs singulières de `X` supérieures à `tol` .

Notez que la valeur par défaut de `tol` est proportionnelle à `norm(X)` . Par exemple

`rank([1.d-80,0;0,1.d-80])` vaut 2 !.

### Examples

    rank([1.d-80,0;0,1.d-80])
    rank([1,0;0,1.d-80])

### See Also

`svd` , `qr` , `rowcomp` , `colcomp` , `lu` ,